# Generated from make-data-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name make-data

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Generate fake data interactively!
License: MIT
URL: http://rubygems.org/gems/make_data
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
# MakeData
A CLI for generating fake json, csv, or yaml data.
Uses Faker to produce fake data in whatever category you choose.
## Quick Start
Requires `peco`, so `brew install peco` (or however you get packages)
```
mkdata
```
Follow the prompts to select the category, keys, count, and format.
## Options
`-h --help` Shows the help menu
`-c --category [CATEGORY]` choose a category from Faker. (I can never remember
these, so I use the interactive mode. Mostly here so that this could be used
without interaction, like in a script)
`-f --format [FORMAT]` json, csv, or yaml. What format to generate the data
in.
`-a --all` use all the keys from that Faker category.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mkdata
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 0.0.3-1
- Initial package
